<?xml version="1.0" encoding="utf-8"?>
<!-- Generated by PRONEXUS WORKS -->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink">
  <link:roleRef xlink:type="simple" roleURI="http://disclosure.edinet-fsa.go.jp/jppfs/cte/role/label" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_rt_2023-12-01.xsd#rol_CTELabel" />
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ProceedsRomSaleOfInvestmentsInCapitalOfSubsidiariesInvCF" xlink:label="ProceedsRomSaleOfInvestmentsInCapitalOfSubsidiariesInvCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_RefundedTaxNOI" xlink:label="RefundedTaxNOI" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_RestructuringExpensesOfSubsidiariesAndAffiliatesEL" xlink:label="RestructuringExpensesOfSubsidiariesAndAffiliatesEL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_BreakdownOfOperatingExpensesTextBlock" xlink:label="BreakdownOfOperatingExpensesTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ComissionFeesSGA" xlink:label="ComissionFeesSGA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ReferenceToOtherInformation2Strategy" xlink:label="ReferenceToOtherInformation2Strategy" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ReferenceToOtherInformation3Strategy" xlink:label="ReferenceToOtherInformation3Strategy" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ReferenceToOtherInformation4Strategy" xlink:label="ReferenceToOtherInformation4Strategy" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ReferenceToOtherInformation5Strategy" xlink:label="ReferenceToOtherInformation5Strategy" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ReferenceToOtherInformation6Strategy" xlink:label="ReferenceToOtherInformation6Strategy" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ReferenceToOtherInformation7Strategy" xlink:label="ReferenceToOtherInformation7Strategy" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ReferenceToOtherInformation8Strategy" xlink:label="ReferenceToOtherInformation8Strategy" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ReferenceToOtherInformation9Strategy" xlink:label="ReferenceToOtherInformation9Strategy" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ReferenceToOtherInformation10Strategy" xlink:label="ReferenceToOtherInformation10Strategy" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ReferenceToOtherInformation11Strategy" xlink:label="ReferenceToOtherInformation11Strategy" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ReferenceToOtherInformation12Strategy" xlink:label="ReferenceToOtherInformation12Strategy" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ReferenceToOtherInformation2RiskManagement" xlink:label="ReferenceToOtherInformation2RiskManagement" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ReferenceToOtherInformation3RiskManagement" xlink:label="ReferenceToOtherInformation3RiskManagement" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ReferenceToOtherInformation4RiskManagement" xlink:label="ReferenceToOtherInformation4RiskManagement" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ReferenceToOtherInformation5RiskManagement" xlink:label="ReferenceToOtherInformation5RiskManagement" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ReferenceToOtherInformation6RiskManagement" xlink:label="ReferenceToOtherInformation6RiskManagement" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ReferenceToOtherInformation7RiskManagement" xlink:label="ReferenceToOtherInformation7RiskManagement" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ReferenceToOtherInformation2MetricsAndTargets" xlink:label="ReferenceToOtherInformation2MetricsAndTargets" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ReferenceToOtherInformationDisclosureOfSustainabilityRelatedFinancialInformation" xlink:label="ReferenceToOtherInformationDisclosureOfSustainabilityRelatedFinancialInformation" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ReferenceToOtherInformationMetricsAndTargetsHumanCapital" xlink:label="ReferenceToOtherInformationMetricsAndTargetsHumanCapital" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ReferenceToOtherInformation2MetricsAndTargetsHumanCapital" xlink:label="ReferenceToOtherInformation2MetricsAndTargetsHumanCapital" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ReferenceToOtherInformation3MetricsAndTargetsHumanCapital" xlink:label="ReferenceToOtherInformation3MetricsAndTargetsHumanCapital" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ReferenceToOtherInformation4MetricsAndTargetsHumanCapital" xlink:label="ReferenceToOtherInformation4MetricsAndTargetsHumanCapital" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ReferenceToOtherInformation5MetricsAndTargetsHumanCapital" xlink:label="ReferenceToOtherInformation5MetricsAndTargetsHumanCapital" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ReferenceToOtherInformation6MetricsAndTargetsHumanCapital" xlink:label="ReferenceToOtherInformation6MetricsAndTargetsHumanCapital" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_NetSalesAndOperatingRevenueSummaryOfBusinessResults" xlink:label="NetSalesAndOperatingRevenueSummaryOfBusinessResults" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_TachikawaYoshihiroMember" xlink:label="TachikawaYoshihiroMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_SakaiMikioMember" xlink:label="SakaiMikioMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_TanakaHiroyukiMember" xlink:label="TanakaHiroyukiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_NishiHidenoriMember" xlink:label="NishiHidenoriMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_UmeharaToshiyukiMember" xlink:label="UmeharaToshiyukiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_TsujiTomokoMember" xlink:label="TsujiTomokoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_NakagawaRieMember" xlink:label="NakagawaRieMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_IkedaHirohikoMember" xlink:label="IkedaHirohikoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_VegetableOilsAndFatsReportableSegmentsMember" xlink:label="VegetableOilsAndFatsReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_SoyBasedIngredientsReportableSegmentsMember" xlink:label="SoyBasedIngredientsReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_OilReportableSegmentsMember" xlink:label="OilReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_SoybeanReportableSegmentsMember" xlink:label="SoybeanReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_IndustrialChocolateReportableSegmentsMember" xlink:label="IndustrialChocolateReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_EmulsifiedAndFermentedIngredientsReportableSegmentsMember" xlink:label="EmulsifiedAndFermentedIngredientsReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_BasicRemunerationFixedRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficers" xlink:label="BasicRemunerationFixedRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficers" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ProductivityLinkedAbstract" xlink:label="ProductivityLinkedAbstract" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_MonetaryRewardBonusRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:label="MonetaryRewardBonusRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_StockCompensationStockDeliveryTrustRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:label="StockCompensationStockDeliveryTrustRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_MonetaryRewardLinkedToStrategicGoalsSetIndividuallyIndividualBonusesRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:label="MonetaryRewardLinkedToStrategicGoalsSetIndividuallyIndividualBonusesRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_DecreaseIncreaseOfCapitalSurplusByChangeOfShareToConsolidatedSubsidiary" xlink:label="DecreaseIncreaseOfCapitalSurplusByChangeOfShareToConsolidatedSubsidiary" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_EmployeePayrollsAndAllowances" xlink:label="EmployeePayrollsAndAllowances" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_NotesRegardingLossOnAssociatesBusinessReconstructionTextBlock" xlink:label="NotesRegardingLossOnAssociatesBusinessReconstructionTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_AmortizationOfGoodwillEL" xlink:label="AmortizationOfGoodwillEL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_HyperinflationAdjustments" xlink:label="HyperinflationAdjustments" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_RestatedBalanceReflectingHyperinflationAdjustments" xlink:label="RestatedBalanceReflectingHyperinflationAdjustments" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ReferenceToOtherInformation13Strategy" xlink:label="ReferenceToOtherInformation13Strategy" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ReferenceToOtherInformation14Strategy" xlink:label="ReferenceToOtherInformation14Strategy" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ReferenceToOtherInformation15Strategy" xlink:label="ReferenceToOtherInformation15Strategy" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_ReferenceToOtherInformation16Strategy" xlink:label="ReferenceToOtherInformation16Strategy" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_MaedaSunaoMember" xlink:label="MaedaSunaoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_TogawaYusukeMember" xlink:label="TogawaYusukeMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_TaniYasuhiroMember" xlink:label="TaniYasuhiroMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_NotesRegardingAmortizationOfGoodwillTextBlock" xlink:label="NotesRegardingAmortizationOfGoodwillTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_NotesRegardingLossOnDisposalOfInventoriesTextBlock" xlink:label="NotesRegardingLossOnDisposalOfInventoriesTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_NotesRegardingLossOnValuationOfInvestmentSecuritiesTextBlock" xlink:label="NotesRegardingLossOnValuationOfInvestmentSecuritiesTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock" xlink:label="NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_OtherNetPPE" xlink:label="OtherNetPPE" />
    <link:label xlink:type="resource" xlink:label="label_OtherNetPPE" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jppfs/cte/role/label" id="label_OtherNetPPE">Other</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherNetPPE" xlink:to="label_OtherNetPPE" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00431-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E00431-000_AmortizationOfGoodwillSegmentInformation" xlink:label="AmortizationOfGoodwillSegmentInformation" />
    <link:label xlink:type="resource" xlink:label="label_ProceedsRomSaleOfInvestmentsInCapitalOfSubsidiariesInvCF" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ProceedsRomSaleOfInvestmentsInCapitalOfSubsidiariesInvCF">proceeds rom sale of investments in capital of subsidiaries</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsRomSaleOfInvestmentsInCapitalOfSubsidiariesInvCF" xlink:to="label_ProceedsRomSaleOfInvestmentsInCapitalOfSubsidiariesInvCF" />
    <link:label xlink:type="resource" xlink:label="label_ProceedsRomSaleOfInvestmentsInCapitalOfSubsidiariesInvCF_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ProceedsRomSaleOfInvestmentsInCapitalOfSubsidiariesInvCF_2">proceeds rom sale of investments in capital of subsidiaries - InvCF</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsRomSaleOfInvestmentsInCapitalOfSubsidiariesInvCF" xlink:to="label_ProceedsRomSaleOfInvestmentsInCapitalOfSubsidiariesInvCF_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation2Strategy" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformation2Strategy">Reference to other information 2</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation2Strategy" xlink:to="label_ReferenceToOtherInformation2Strategy" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation2Strategy_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformation2Strategy_2">Reference to other information 2, Strategy</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation2Strategy" xlink:to="label_ReferenceToOtherInformation2Strategy_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation3Strategy" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformation3Strategy">Reference to other information 3</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation3Strategy" xlink:to="label_ReferenceToOtherInformation3Strategy" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation3Strategy_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformation3Strategy_2">Reference to other information 3, Strategy</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation3Strategy" xlink:to="label_ReferenceToOtherInformation3Strategy_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation4Strategy" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformation4Strategy">Reference to other information 4</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation4Strategy" xlink:to="label_ReferenceToOtherInformation4Strategy" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation4Strategy_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformation4Strategy_2">Reference to other information 4, Strategy</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation4Strategy" xlink:to="label_ReferenceToOtherInformation4Strategy_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation5Strategy" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformation5Strategy">Reference to other information 5</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation5Strategy" xlink:to="label_ReferenceToOtherInformation5Strategy" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation5Strategy_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformation5Strategy_2">Reference to other information 5, Strategy</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation5Strategy" xlink:to="label_ReferenceToOtherInformation5Strategy_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation6Strategy" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformation6Strategy">Reference to other information 6</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation6Strategy" xlink:to="label_ReferenceToOtherInformation6Strategy" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation6Strategy_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformation6Strategy_2">Reference to other information 6, Strategy</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation6Strategy" xlink:to="label_ReferenceToOtherInformation6Strategy_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation7Strategy" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformation7Strategy">Reference to other information 7</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation7Strategy" xlink:to="label_ReferenceToOtherInformation7Strategy" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation7Strategy_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformation7Strategy_2">Reference to other information 7, Strategy</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation7Strategy" xlink:to="label_ReferenceToOtherInformation7Strategy_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation8Strategy" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformation8Strategy">Reference to other information 8</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation8Strategy" xlink:to="label_ReferenceToOtherInformation8Strategy" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation8Strategy_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformation8Strategy_2">Reference to other information 8, Strategy</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation8Strategy" xlink:to="label_ReferenceToOtherInformation8Strategy_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation9Strategy" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformation9Strategy">Reference to other information 9</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation9Strategy" xlink:to="label_ReferenceToOtherInformation9Strategy" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation9Strategy_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformation9Strategy_2">Reference to other information 9, Strategy</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation9Strategy" xlink:to="label_ReferenceToOtherInformation9Strategy_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation10Strategy" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformation10Strategy">Reference to other information 10</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation10Strategy" xlink:to="label_ReferenceToOtherInformation10Strategy" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation10Strategy_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformation10Strategy_2">Reference to other information 10, Strategy</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation10Strategy" xlink:to="label_ReferenceToOtherInformation10Strategy_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation11Strategy" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformation11Strategy">Reference to other information 11</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation11Strategy" xlink:to="label_ReferenceToOtherInformation11Strategy" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation11Strategy_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformation11Strategy_2">Reference to other information 11, Strategy</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation11Strategy" xlink:to="label_ReferenceToOtherInformation11Strategy_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation12Strategy" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformation12Strategy">Reference to other information 12</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation12Strategy" xlink:to="label_ReferenceToOtherInformation12Strategy" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation12Strategy_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformation12Strategy_2">Reference to other information 12, Strategy</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation12Strategy" xlink:to="label_ReferenceToOtherInformation12Strategy_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation13Strategy" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformation13Strategy">Reference to other information 13</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation13Strategy" xlink:to="label_ReferenceToOtherInformation13Strategy" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation13Strategy_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformation13Strategy_2">Reference to other information 13, Strategy</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation13Strategy" xlink:to="label_ReferenceToOtherInformation13Strategy_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation14Strategy_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformation14Strategy_2">Reference to other information 14</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation14Strategy" xlink:to="label_ReferenceToOtherInformation14Strategy_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation14Strategy" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformation14Strategy">Reference to other information 14, Strategy</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation14Strategy" xlink:to="label_ReferenceToOtherInformation14Strategy" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation15Strategy" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformation15Strategy">Reference to other information 15</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation15Strategy" xlink:to="label_ReferenceToOtherInformation15Strategy" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation15Strategy_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformation15Strategy_2">Reference to other information 15, Strategy</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation15Strategy" xlink:to="label_ReferenceToOtherInformation15Strategy_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation16Strategy" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformation16Strategy">Reference to other information 16</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation16Strategy" xlink:to="label_ReferenceToOtherInformation16Strategy" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation16Strategy_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformation16Strategy_2">Reference to other information 16, Strategy</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation16Strategy" xlink:to="label_ReferenceToOtherInformation16Strategy_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation2RiskManagement" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformation2RiskManagement">Reference to other information 2</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation2RiskManagement" xlink:to="label_ReferenceToOtherInformation2RiskManagement" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation2RiskManagement_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformation2RiskManagement_2">Reference to other information 2, Risk management</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation2RiskManagement" xlink:to="label_ReferenceToOtherInformation2RiskManagement_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation3RiskManagement" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformation3RiskManagement">Reference to other information 3</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation3RiskManagement" xlink:to="label_ReferenceToOtherInformation3RiskManagement" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation3RiskManagement_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformation3RiskManagement_2">Reference to other information 3, Risk management</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation3RiskManagement" xlink:to="label_ReferenceToOtherInformation3RiskManagement_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation4RiskManagement" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformation4RiskManagement">Reference to other information 4</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation4RiskManagement" xlink:to="label_ReferenceToOtherInformation4RiskManagement" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation4RiskManagement_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformation4RiskManagement_2">Reference to other information 4, Risk management</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation4RiskManagement" xlink:to="label_ReferenceToOtherInformation4RiskManagement_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation5RiskManagement" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformation5RiskManagement">Reference to other information 5</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation5RiskManagement" xlink:to="label_ReferenceToOtherInformation5RiskManagement" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation5RiskManagement_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformation5RiskManagement_2">Reference to other information 5, Risk management</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation5RiskManagement" xlink:to="label_ReferenceToOtherInformation5RiskManagement_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation6RiskManagement" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformation6RiskManagement">Reference to other information 6</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation6RiskManagement" xlink:to="label_ReferenceToOtherInformation6RiskManagement" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation6RiskManagement_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformation6RiskManagement_2">Reference to other information 6, Risk management</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation6RiskManagement" xlink:to="label_ReferenceToOtherInformation6RiskManagement_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation7RiskManagement" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformation7RiskManagement">Reference to other information 7</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation7RiskManagement" xlink:to="label_ReferenceToOtherInformation7RiskManagement" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation7RiskManagement_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformation7RiskManagement_2">Reference to other information 7, Risk management</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation7RiskManagement" xlink:to="label_ReferenceToOtherInformation7RiskManagement_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation2MetricsAndTargets" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformation2MetricsAndTargets">Reference to other information 2</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation2MetricsAndTargets" xlink:to="label_ReferenceToOtherInformation2MetricsAndTargets" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation2MetricsAndTargets_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformation2MetricsAndTargets_2">Reference to other information 2, Metrics and targets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation2MetricsAndTargets" xlink:to="label_ReferenceToOtherInformation2MetricsAndTargets_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationDisclosureOfSustainabilityRelatedFinancialInformation_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformationDisclosureOfSustainabilityRelatedFinancialInformation_2">Reference to other information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationDisclosureOfSustainabilityRelatedFinancialInformation" xlink:to="label_ReferenceToOtherInformationDisclosureOfSustainabilityRelatedFinancialInformation_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationDisclosureOfSustainabilityRelatedFinancialInformation" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformationDisclosureOfSustainabilityRelatedFinancialInformation">Reference to other information, Disclosure of Sustainability-related Financial Information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationDisclosureOfSustainabilityRelatedFinancialInformation" xlink:to="label_ReferenceToOtherInformationDisclosureOfSustainabilityRelatedFinancialInformation" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationMetricsAndTargetsHumanCapital_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformationMetricsAndTargetsHumanCapital_2">Reference to other information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationMetricsAndTargetsHumanCapital" xlink:to="label_ReferenceToOtherInformationMetricsAndTargetsHumanCapital_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationMetricsAndTargetsHumanCapital" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformationMetricsAndTargetsHumanCapital">Reference to other information, Metrics and targets, Human capital</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationMetricsAndTargetsHumanCapital" xlink:to="label_ReferenceToOtherInformationMetricsAndTargetsHumanCapital" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation2MetricsAndTargetsHumanCapital" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformation2MetricsAndTargetsHumanCapital">Reference to other information 2</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation2MetricsAndTargetsHumanCapital" xlink:to="label_ReferenceToOtherInformation2MetricsAndTargetsHumanCapital" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation2MetricsAndTargetsHumanCapital_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformation2MetricsAndTargetsHumanCapital_2">Reference to other information 2, Metrics and targets, Human capital</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation2MetricsAndTargetsHumanCapital" xlink:to="label_ReferenceToOtherInformation2MetricsAndTargetsHumanCapital_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation3MetricsAndTargetsHumanCapital" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformation3MetricsAndTargetsHumanCapital">Reference to other information 3</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation3MetricsAndTargetsHumanCapital" xlink:to="label_ReferenceToOtherInformation3MetricsAndTargetsHumanCapital" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation3MetricsAndTargetsHumanCapital_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformation3MetricsAndTargetsHumanCapital_2">Reference to other information 3, Metrics and targets, Human capital</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation3MetricsAndTargetsHumanCapital" xlink:to="label_ReferenceToOtherInformation3MetricsAndTargetsHumanCapital_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation4MetricsAndTargetsHumanCapital" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformation4MetricsAndTargetsHumanCapital">Reference to other information 4</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation4MetricsAndTargetsHumanCapital" xlink:to="label_ReferenceToOtherInformation4MetricsAndTargetsHumanCapital" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation4MetricsAndTargetsHumanCapital_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformation4MetricsAndTargetsHumanCapital_2">Reference to other information 4, Metrics and targets, Human capital</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation4MetricsAndTargetsHumanCapital" xlink:to="label_ReferenceToOtherInformation4MetricsAndTargetsHumanCapital_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation5MetricsAndTargetsHumanCapital" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformation5MetricsAndTargetsHumanCapital">Reference to other information 5</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation5MetricsAndTargetsHumanCapital" xlink:to="label_ReferenceToOtherInformation5MetricsAndTargetsHumanCapital" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation5MetricsAndTargetsHumanCapital_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformation5MetricsAndTargetsHumanCapital_2">Reference to other information 5, Metrics and targets, Human capital</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation5MetricsAndTargetsHumanCapital" xlink:to="label_ReferenceToOtherInformation5MetricsAndTargetsHumanCapital_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation6MetricsAndTargetsHumanCapital" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformation6MetricsAndTargetsHumanCapital">Reference to other information 6</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation6MetricsAndTargetsHumanCapital" xlink:to="label_ReferenceToOtherInformation6MetricsAndTargetsHumanCapital" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation6MetricsAndTargetsHumanCapital_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformation6MetricsAndTargetsHumanCapital_2">Reference to other information 6, Metrics and targets, Human capital</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation6MetricsAndTargetsHumanCapital" xlink:to="label_ReferenceToOtherInformation6MetricsAndTargetsHumanCapital_2" />
    <link:label xlink:type="resource" xlink:label="label_RestructuringExpensesOfSubsidiariesAndAffiliatesEL" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RestructuringExpensesOfSubsidiariesAndAffiliatesEL">Restructuring expenses of subsidiaries and affiliates</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RestructuringExpensesOfSubsidiariesAndAffiliatesEL" xlink:to="label_RestructuringExpensesOfSubsidiariesAndAffiliatesEL" />
    <link:label xlink:type="resource" xlink:label="label_RestructuringExpensesOfSubsidiariesAndAffiliatesEL_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RestructuringExpensesOfSubsidiariesAndAffiliatesEL_2">Restructuring expenses of subsidiaries and affiliates-EL</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RestructuringExpensesOfSubsidiariesAndAffiliatesEL" xlink:to="label_RestructuringExpensesOfSubsidiariesAndAffiliatesEL_2" />
    <link:label xlink:type="resource" xlink:label="label_RefundedTaxNOI" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RefundedTaxNOI">Refunded taxes</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RefundedTaxNOI" xlink:to="label_RefundedTaxNOI" />
    <link:label xlink:type="resource" xlink:label="label_RefundedTaxNOI_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RefundedTaxNOI_2">Refunded tax -NOI</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RefundedTaxNOI" xlink:to="label_RefundedTaxNOI_2" />
    <link:label xlink:type="resource" xlink:label="label_AmortizationOfGoodwillEL" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_AmortizationOfGoodwillEL">Amortization of goodwill</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AmortizationOfGoodwillEL" xlink:to="label_AmortizationOfGoodwillEL" />
    <link:label xlink:type="resource" xlink:label="label_AmortizationOfGoodwillEL_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_AmortizationOfGoodwillEL_2">Amortization of goodwill - EL</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AmortizationOfGoodwillEL" xlink:to="label_AmortizationOfGoodwillEL_2" />
    <link:label xlink:type="resource" xlink:label="label_EmployeePayrollsAndAllowances" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_EmployeePayrollsAndAllowances">Employee payrolls and allowances</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EmployeePayrollsAndAllowances" xlink:to="label_EmployeePayrollsAndAllowances" />
    <link:label xlink:type="resource" xlink:label="label_EmployeePayrollsAndAllowances_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_EmployeePayrollsAndAllowances_2">Employee payrolls and allowances</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EmployeePayrollsAndAllowances" xlink:to="label_EmployeePayrollsAndAllowances_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingLossOnAssociatesBusinessReconstructionTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesRegardingLossOnAssociatesBusinessReconstructionTextBlock">Notes regarding loss on associates business reconstruction</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingLossOnAssociatesBusinessReconstructionTextBlock" xlink:to="label_NotesRegardingLossOnAssociatesBusinessReconstructionTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingLossOnAssociatesBusinessReconstructionTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesRegardingLossOnAssociatesBusinessReconstructionTextBlock_2">Notes regarding loss on associates business reconstruction [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingLossOnAssociatesBusinessReconstructionTextBlock" xlink:to="label_NotesRegardingLossOnAssociatesBusinessReconstructionTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingAmortizationOfGoodwillTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesRegardingAmortizationOfGoodwillTextBlock_2">Notes regarding amortization of goodwill</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingAmortizationOfGoodwillTextBlock" xlink:to="label_NotesRegardingAmortizationOfGoodwillTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingAmortizationOfGoodwillTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesRegardingAmortizationOfGoodwillTextBlock">Notes regarding amortization of goodwill [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingAmortizationOfGoodwillTextBlock" xlink:to="label_NotesRegardingAmortizationOfGoodwillTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingLossOnDisposalOfInventoriesTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesRegardingLossOnDisposalOfInventoriesTextBlock_2">Notes regarding loss on disposal of inventories</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingLossOnDisposalOfInventoriesTextBlock" xlink:to="label_NotesRegardingLossOnDisposalOfInventoriesTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingLossOnDisposalOfInventoriesTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesRegardingLossOnDisposalOfInventoriesTextBlock">Notes regarding loss on disposal of inventories [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingLossOnDisposalOfInventoriesTextBlock" xlink:to="label_NotesRegardingLossOnDisposalOfInventoriesTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingLossOnValuationOfInvestmentSecuritiesTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesRegardingLossOnValuationOfInvestmentSecuritiesTextBlock_2">Notes regarding loss on valuation of investment securities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingLossOnValuationOfInvestmentSecuritiesTextBlock" xlink:to="label_NotesRegardingLossOnValuationOfInvestmentSecuritiesTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingLossOnValuationOfInvestmentSecuritiesTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesRegardingLossOnValuationOfInvestmentSecuritiesTextBlock">Notes regarding loss on valuation of investment securities [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingLossOnValuationOfInvestmentSecuritiesTextBlock" xlink:to="label_NotesRegardingLossOnValuationOfInvestmentSecuritiesTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NetSalesAndOperatingRevenueSummaryOfBusinessResults" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NetSalesAndOperatingRevenueSummaryOfBusinessResults">Net sales and operating revenue</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NetSalesAndOperatingRevenueSummaryOfBusinessResults" xlink:to="label_NetSalesAndOperatingRevenueSummaryOfBusinessResults" />
    <link:label xlink:type="resource" xlink:label="label_NetSalesAndOperatingRevenueSummaryOfBusinessResults_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NetSalesAndOperatingRevenueSummaryOfBusinessResults_2">Net sales and operating revenue, Summary of business results</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NetSalesAndOperatingRevenueSummaryOfBusinessResults" xlink:to="label_NetSalesAndOperatingRevenueSummaryOfBusinessResults_2" />
    <link:label xlink:type="resource" xlink:label="label_RestatedBalanceReflectingHyperinflationAdjustments" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RestatedBalanceReflectingHyperinflationAdjustments">Restated balance reflecting hyperinflation adjustments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RestatedBalanceReflectingHyperinflationAdjustments" xlink:to="label_RestatedBalanceReflectingHyperinflationAdjustments" />
    <link:label xlink:type="resource" xlink:label="label_RestatedBalanceReflectingHyperinflationAdjustments_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RestatedBalanceReflectingHyperinflationAdjustments_2">Restated balance reflecting hyperinflation adjustments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RestatedBalanceReflectingHyperinflationAdjustments" xlink:to="label_RestatedBalanceReflectingHyperinflationAdjustments_2" />
    <link:label xlink:type="resource" xlink:label="label_RestatedBalanceReflectingHyperinflationAdjustments_3" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" id="label_RestatedBalanceReflectingHyperinflationAdjustments_3">Restated balance reflecting hyperinflation adjustments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RestatedBalanceReflectingHyperinflationAdjustments" xlink:to="label_RestatedBalanceReflectingHyperinflationAdjustments_3" />
    <link:label xlink:type="resource" xlink:label="label_DecreaseIncreaseOfCapitalSurplusByChangeOfShareToConsolidatedSubsidiary" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DecreaseIncreaseOfCapitalSurplusByChangeOfShareToConsolidatedSubsidiary">Decrease (increase) of capital surplus by change of share to consolidated subsidiary</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DecreaseIncreaseOfCapitalSurplusByChangeOfShareToConsolidatedSubsidiary" xlink:to="label_DecreaseIncreaseOfCapitalSurplusByChangeOfShareToConsolidatedSubsidiary" />
    <link:label xlink:type="resource" xlink:label="label_DecreaseIncreaseOfCapitalSurplusByChangeOfShareToConsolidatedSubsidiary_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DecreaseIncreaseOfCapitalSurplusByChangeOfShareToConsolidatedSubsidiary_2">Decrease (increase) of capital surplus by change of share to consolidated subsidiary</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DecreaseIncreaseOfCapitalSurplusByChangeOfShareToConsolidatedSubsidiary" xlink:to="label_DecreaseIncreaseOfCapitalSurplusByChangeOfShareToConsolidatedSubsidiary_2" />
    <link:label xlink:type="resource" xlink:label="label_HyperinflationAdjustments" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_HyperinflationAdjustments">Hyperinflation adjustments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HyperinflationAdjustments" xlink:to="label_HyperinflationAdjustments" />
    <link:label xlink:type="resource" xlink:label="label_HyperinflationAdjustments_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_HyperinflationAdjustments_2">Hyperinflation adjustments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HyperinflationAdjustments" xlink:to="label_HyperinflationAdjustments_2" />
    <link:label xlink:type="resource" xlink:label="label_HyperinflationAdjustments_3" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" id="label_HyperinflationAdjustments_3">Hyperinflation adjustments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HyperinflationAdjustments" xlink:to="label_HyperinflationAdjustments_3" />
    <link:label xlink:type="resource" xlink:label="label_BasicRemunerationFixedRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficers" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_BasicRemunerationFixedRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficers">Basic remuneration(Fixed remuneration)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BasicRemunerationFixedRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficers" xlink:to="label_BasicRemunerationFixedRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficers" />
    <link:label xlink:type="resource" xlink:label="label_BasicRemunerationFixedRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficers_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_BasicRemunerationFixedRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficers_2">Basic remuneration(Fixed remuneration), Remuneration by category of directors(and other officers)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BasicRemunerationFixedRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficers" xlink:to="label_BasicRemunerationFixedRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficers_2" />
    <link:label xlink:type="resource" xlink:label="label_ProductivityLinkedAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ProductivityLinkedAbstract">Productivity-linked</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProductivityLinkedAbstract" xlink:to="label_ProductivityLinkedAbstract" />
    <link:label xlink:type="resource" xlink:label="label_ProductivityLinkedAbstract_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ProductivityLinkedAbstract_2">Productivity-linked [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProductivityLinkedAbstract" xlink:to="label_ProductivityLinkedAbstract_2" />
    <link:label xlink:type="resource" xlink:label="label_MonetaryRewardBonusRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MonetaryRewardBonusRemunerationEtcByCategoryOfDirectorsAndOtherOfficers">Monetary reward(Bonus)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MonetaryRewardBonusRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:to="label_MonetaryRewardBonusRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" />
    <link:label xlink:type="resource" xlink:label="label_MonetaryRewardBonusRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MonetaryRewardBonusRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_2">Monetary reward(Bonus), Remuneration, etc. by category of directors(and other officers)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MonetaryRewardBonusRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:to="label_MonetaryRewardBonusRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_2" />
    <link:label xlink:type="resource" xlink:label="label_StockCompensationStockDeliveryTrustRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_StockCompensationStockDeliveryTrustRemunerationEtcByCategoryOfDirectorsAndOtherOfficers">Stock compensation (Stock Delivery Trust)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StockCompensationStockDeliveryTrustRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:to="label_StockCompensationStockDeliveryTrustRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" />
    <link:label xlink:type="resource" xlink:label="label_StockCompensationStockDeliveryTrustRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_StockCompensationStockDeliveryTrustRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_2">Stock compensation (Stock Delivery Trust), Remuneration, etc. by category of directors(and other officers)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StockCompensationStockDeliveryTrustRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:to="label_StockCompensationStockDeliveryTrustRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_2" />
    <link:label xlink:type="resource" xlink:label="label_MonetaryRewardLinkedToStrategicGoalsSetIndividuallyIndividualBonusesRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MonetaryRewardLinkedToStrategicGoalsSetIndividuallyIndividualBonusesRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_2">Monetary Reward Linked to Strategic Goals set individually (Individual Bonuses)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MonetaryRewardLinkedToStrategicGoalsSetIndividuallyIndividualBonusesRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:to="label_MonetaryRewardLinkedToStrategicGoalsSetIndividuallyIndividualBonusesRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_2" />
    <link:label xlink:type="resource" xlink:label="label_MonetaryRewardLinkedToStrategicGoalsSetIndividuallyIndividualBonusesRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MonetaryRewardLinkedToStrategicGoalsSetIndividuallyIndividualBonusesRemunerationEtcByCategoryOfDirectorsAndOtherOfficers">Monetary Reward Linked to Strategic Goals set individually (Individual Bonuses),Remuneration, etc. by category of directors(and other officers)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MonetaryRewardLinkedToStrategicGoalsSetIndividuallyIndividualBonusesRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:to="label_MonetaryRewardLinkedToStrategicGoalsSetIndividuallyIndividualBonusesRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" />
    <link:label xlink:type="resource" xlink:label="label_OilReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OilReportableSegmentsMember">Vegetable Oils and Fats</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OilReportableSegmentsMember" xlink:to="label_OilReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_OilReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OilReportableSegmentsMember_2">Oil, Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OilReportableSegmentsMember" xlink:to="label_OilReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_SoybeanReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_SoybeanReportableSegmentsMember">Soy-Based Ingredients</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SoybeanReportableSegmentsMember" xlink:to="label_SoybeanReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_SoybeanReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_SoybeanReportableSegmentsMember_2">Soybean, Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SoybeanReportableSegmentsMember" xlink:to="label_SoybeanReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_SakaiMikioMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_SakaiMikioMember">Sakai, Mikio [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SakaiMikioMember" xlink:to="label_SakaiMikioMember" />
    <link:label xlink:type="resource" xlink:label="label_SakaiMikioMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_SakaiMikioMember_2">Sakai, Mikio</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SakaiMikioMember" xlink:to="label_SakaiMikioMember_2" />
    <link:label xlink:type="resource" xlink:label="label_TanakaHiroyukiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TanakaHiroyukiMember">Tanaka, Hiroyuki</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TanakaHiroyukiMember" xlink:to="label_TanakaHiroyukiMember" />
    <link:label xlink:type="resource" xlink:label="label_TanakaHiroyukiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TanakaHiroyukiMember_2">Tanaka, Hiroyuki [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TanakaHiroyukiMember" xlink:to="label_TanakaHiroyukiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_MaedaSunaoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MaedaSunaoMember_2">Maeda, Sunao</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MaedaSunaoMember" xlink:to="label_MaedaSunaoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_MaedaSunaoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MaedaSunaoMember">Maeda, Sunao [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MaedaSunaoMember" xlink:to="label_MaedaSunaoMember" />
    <link:label xlink:type="resource" xlink:label="label_NishiHidenoriMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NishiHidenoriMember">Nishi, Hidenori</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NishiHidenoriMember" xlink:to="label_NishiHidenoriMember" />
    <link:label xlink:type="resource" xlink:label="label_NishiHidenoriMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NishiHidenoriMember_2">Nishi, Hidenori [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NishiHidenoriMember" xlink:to="label_NishiHidenoriMember_2" />
    <link:label xlink:type="resource" xlink:label="label_UmeharaToshiyukiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_UmeharaToshiyukiMember">Umehara, Toshiyuki</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="UmeharaToshiyukiMember" xlink:to="label_UmeharaToshiyukiMember" />
    <link:label xlink:type="resource" xlink:label="label_UmeharaToshiyukiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_UmeharaToshiyukiMember_2">Umehara, Toshiyuki [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="UmeharaToshiyukiMember" xlink:to="label_UmeharaToshiyukiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_TsujiTomokoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TsujiTomokoMember">Tsuji, Tomoko</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TsujiTomokoMember" xlink:to="label_TsujiTomokoMember" />
    <link:label xlink:type="resource" xlink:label="label_TsujiTomokoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TsujiTomokoMember_2">Tsuji, Tomoko [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TsujiTomokoMember" xlink:to="label_TsujiTomokoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_NakagawaRieMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NakagawaRieMember_2">Nakagawa, Rie</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NakagawaRieMember" xlink:to="label_NakagawaRieMember_2" />
    <link:label xlink:type="resource" xlink:label="label_NakagawaRieMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NakagawaRieMember">Nakagawa, Rie [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NakagawaRieMember" xlink:to="label_NakagawaRieMember" />
    <link:label xlink:type="resource" xlink:label="label_TachikawaYoshihiroMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TachikawaYoshihiroMember">Tachikawa, Yoshihiro</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TachikawaYoshihiroMember" xlink:to="label_TachikawaYoshihiroMember" />
    <link:label xlink:type="resource" xlink:label="label_TachikawaYoshihiroMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TachikawaYoshihiroMember_2">Tachikawa, Yoshihiro [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TachikawaYoshihiroMember" xlink:to="label_TachikawaYoshihiroMember_2" />
    <link:label xlink:type="resource" xlink:label="label_TogawaYusukeMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TogawaYusukeMember_2">Togawa, Yusuke</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TogawaYusukeMember" xlink:to="label_TogawaYusukeMember_2" />
    <link:label xlink:type="resource" xlink:label="label_TogawaYusukeMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TogawaYusukeMember">Togawa, Yusuke [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TogawaYusukeMember" xlink:to="label_TogawaYusukeMember" />
    <link:label xlink:type="resource" xlink:label="label_IkedaHirohikoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_IkedaHirohikoMember">Ikeda, hirohiko [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IkedaHirohikoMember" xlink:to="label_IkedaHirohikoMember" />
    <link:label xlink:type="resource" xlink:label="label_IkedaHirohikoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_IkedaHirohikoMember_2">Ikeda, hirohiko</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IkedaHirohikoMember" xlink:to="label_IkedaHirohikoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_TaniYasuhiroMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TaniYasuhiroMember_2">Tani, Yasuhiro</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TaniYasuhiroMember" xlink:to="label_TaniYasuhiroMember_2" />
    <link:label xlink:type="resource" xlink:label="label_TaniYasuhiroMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TaniYasuhiroMember">Tani, Yasuhiro [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TaniYasuhiroMember" xlink:to="label_TaniYasuhiroMember" />
    <link:label xlink:type="resource" xlink:label="label_BreakdownOfOperatingExpensesTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_BreakdownOfOperatingExpensesTextBlock">Breakdown of operating expenses</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BreakdownOfOperatingExpensesTextBlock" xlink:to="label_BreakdownOfOperatingExpensesTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_BreakdownOfOperatingExpensesTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_BreakdownOfOperatingExpensesTextBlock_2">Breakdown of operating expenses [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BreakdownOfOperatingExpensesTextBlock" xlink:to="label_BreakdownOfOperatingExpensesTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_ComissionFeesSGA" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ComissionFeesSGA">Comission fees</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ComissionFeesSGA" xlink:to="label_ComissionFeesSGA" />
    <link:label xlink:type="resource" xlink:label="label_ComissionFeesSGA_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ComissionFeesSGA_2">Comission fees-SGA</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ComissionFeesSGA" xlink:to="label_ComissionFeesSGA_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock_2">Notes regarding loss on valuation of shares of subsidiaries and associates</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock" xlink:to="label_NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock">Notes regarding loss on valuation of shares of subsidiaries and associates [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock" xlink:to="label_NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_AmortizationOfGoodwillSegmentInformation" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_AmortizationOfGoodwillSegmentInformation">Amortization of goodwill</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AmortizationOfGoodwillSegmentInformation" xlink:to="label_AmortizationOfGoodwillSegmentInformation" />
    <link:label xlink:type="resource" xlink:label="label_AmortizationOfGoodwillSegmentInformation_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_AmortizationOfGoodwillSegmentInformation_2">Amortization of goodwill, Segment Information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AmortizationOfGoodwillSegmentInformation" xlink:to="label_AmortizationOfGoodwillSegmentInformation_2" />
    <link:label xlink:type="resource" xlink:label="label_VegetableOilsAndFatsReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_VegetableOilsAndFatsReportableSegmentsMember">Vegetable Oils and Fats</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="VegetableOilsAndFatsReportableSegmentsMember" xlink:to="label_VegetableOilsAndFatsReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_VegetableOilsAndFatsReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_VegetableOilsAndFatsReportableSegmentsMember_2">Vegetable Oils and Fats, Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="VegetableOilsAndFatsReportableSegmentsMember" xlink:to="label_VegetableOilsAndFatsReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_IndustrialChocolateReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_IndustrialChocolateReportableSegmentsMember">Industrial Chocolate</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IndustrialChocolateReportableSegmentsMember" xlink:to="label_IndustrialChocolateReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_IndustrialChocolateReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_IndustrialChocolateReportableSegmentsMember_2">Industrial Chocolate, Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IndustrialChocolateReportableSegmentsMember" xlink:to="label_IndustrialChocolateReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_EmulsifiedAndFermentedIngredientsReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_EmulsifiedAndFermentedIngredientsReportableSegmentsMember">Emulsified and Fermented Ingredients</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EmulsifiedAndFermentedIngredientsReportableSegmentsMember" xlink:to="label_EmulsifiedAndFermentedIngredientsReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_EmulsifiedAndFermentedIngredientsReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_EmulsifiedAndFermentedIngredientsReportableSegmentsMember_2">Emulsified and Fermented Ingredients, Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EmulsifiedAndFermentedIngredientsReportableSegmentsMember" xlink:to="label_EmulsifiedAndFermentedIngredientsReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_SoyBasedIngredientsReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_SoyBasedIngredientsReportableSegmentsMember">Soy-based Ingredients</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SoyBasedIngredientsReportableSegmentsMember" xlink:to="label_SoyBasedIngredientsReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_SoyBasedIngredientsReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_SoyBasedIngredientsReportableSegmentsMember_2">Soy-based Ingredients, Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SoyBasedIngredientsReportableSegmentsMember" xlink:to="label_SoyBasedIngredientsReportableSegmentsMember_2" />
  </link:labelLink>
</link:linkbase>